%bcond_with check
%global _unpackaged_files_terminate_build 0 
%global debug_package   %{nil}
%global sname libgio-qt

Name:          gio-qt
Version:       0.0.12
Release:       1
Summary:       Gio wrapper for Qt applications.

License:       LGPLv3+
URL:           https://github.com/linuxdeepin/gio-qt
Source0:       %{name}-%{version}.tar.gz

BuildRequires: gcc-c++
BuildRequires: cmake >= 3.12.4
BuildRequires: qt5-qtbase-devel
BuildRequires: glibmm24-devel
BuildRequires: doxygen
BuildRequires: qt5-doctools

%description
This is a Qt wrapper library for Gio (
or say it's a glib/glibmm wrapper mainly focused on GIO module). 
This library is designed to be exception-free and 
avoid Qt application developer do direct access to 
glib/glibmm (so they can use Gio in a more Qt way).


%package -n %{sname}
Summary:    %{summary}

%description -n %{sname}
A convenient way to bind gio with Qt5.


%package -n %{sname}-devel
Summary:    %{summary}
Requires:   %{sname} = %{version}-%{release}
Requires:   qt5-qtbase-devel
Requires:   glibmm24-devel

%description -n %{sname}-devel
A convenient way to bind gio with Qt5.

%prep
%setup -q
#sed -i 's|VERSION 3.12.4|VERSION 3.11.4|g' CMakeLists.txt
#sed -i 's|BUILD_DOCS "Build documentation" ON|BUILD_DOCS "Build documentation" OFF|g' CMakeLists.txt

# fix strip
sed -i 's|Wall|Wall -s -fPIE|' CMakeLists.txt

# fix doc path
sed -i 's|qt5/doc|doc/qt5|' CMakeLists.txt

%build
#help find (and prefer) qt5 utilities, e.g. qmake. lrelease
export PATH=%{_qt5_bindir}:$PATH
cmake .
%make_build


%install
%make_install


%files -n %{sname}
%doc README.md
%license LICENSE
%{_libdir}/%{sname}.so.0*

%files -n %{sname}-devel
%{_includedir}/%{name}/
%{_libdir}/%{sname}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_qt5_docdir}/%{name}.qch


%changelog
* Thu Apr 13 2023 liweiganga <liweiganga@uniontech.com> - 0.0.12-1
- update to 0.0.12

* Fri Aug 7 2020 weidong <weidong@uniontech.com> - 0.0.8-1
- Initial release for OpenEuler
